%define modname svn
%define soname %{modname}.so
%define inifile A47_%{modname}.ini

Summary:	PHP Bindings for the Subversion Revision control system
Name:		php-%{modname}
Version:	2.0.3
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/svn
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php8.patch
Patch1:		svn.patch
BuildRequires:	subversion-devel
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0


%description
PHP Bindings for the Subversion Revision control system.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix attribs
find -type f | xargs chmod 644


# instead of a patch
perl -pi -e "s|apr-0|apr-1|g" config.m4
perl -pi -e "s|apache2|apache|g" config.m4

# fix version
perl -pi -e "s|^#define PHP_SVN_VERSION .*|#define PHP_SVN_VERSION \"%{version}\"|g" php_svn.h

%build
%serverbuild

export CPPFLAGS="`apr-1-config --cppflags`"

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc examples CREDITS package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Tue Dec 29 2020 mokraemer <mokraemer> 2.0.3-5.mga8
+ Revision: 1665362
- patch for php8

* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.3-3.mga8
+ Revision: 1596225
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 2.0.3-2.mga8
+ Revision: 1540773
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 16 2019 mokraemer <mokraemer> 2.0.3-1.mga8
+ Revision: 1468263
- removed php7 patch
- new version 2.0.3
- new version 2.0.3

* Fri Nov 29 2019 mokraemer <mokraemer> 1.0.3-8.mga8
+ Revision: 1463716
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 1.0.3-6.mga7
+ Revision: 1340458
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.3-5.mga7
+ Revision: 1325735
- updated requirement

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1300243
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1.0.3-3.mga7
+ Revision: 1217398
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1.0.3-2.mga7
+ Revision: 1180985
+ rebuild (emptylog)

* Tue Nov 14 2017 zezinho <zezinho> 1.0.3-1.mga7
+ Revision: 1177368
- new version
+ pterjan <pterjan>
- Update the patch to sort results

* Fri Mar 18 2016 pterjan <pterjan> 1.0.2-11.mga6
+ Revision: 992678
- Add a first version of a patch to support subversion 1.9
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 748986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-8.mga5
+ Revision: 687550
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.2-7.mga5
+ Revision: 616590
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.0.2-6.mga4
+ Revision: 567645
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-5.mga4
+ Revision: 527866
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.2-4.mga4
+ Revision: 442703
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.0.2-3.mga3
+ Revision: 393331
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 377603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 1.0.2-1.mga3
+ Revision: 275467
- removed svn-1.0.1-svn_fixes.diff
- upgrade to 1.0.2

* Tue Mar 20 2012 spuhler <spuhler> 1.0.1-4.mga2
+ Revision: 224971
- replaced Patch0:svn-0.5.0-format_not_a_string_literal_and_no_format_arguments.diff
  with svn-1.0.1-svn_fixes.diff
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 1.0.1-3.mga1
+ Revision: 48240
- removed buildroot definition from .spec
- imported package php-svn

